CMSIS-NN: arm_fully_connected_s8.c File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_fully_connected_s8.c File Reference

## Functions

arm_status

arm_fully_connected_s8 (const int8_t *input, const int8_t *kernel, const uint16_t col_dim, const uint16_t row_dim, const uint16_t nb_batches, const int32_t input_offset, const int32_t filter_offset, const int32_t out_mult, const int32_t out_shift, const int32_t output_offset, const int32_t *bias, int8_t *output, const int32_t output_activation_min, const int32_t output_activation_max, q15_t *vec_buffer)

| S8 basic fully-connected and matrix multiplication layer function for TF Lite. More...
int32_t | arm_fully_connected_s8_get_buffer_size (const uint16_t col_dim)
| Get the required buffer size for S8 basic fully-connected and matrix multiplication layer function for TF Lite. More...